Eclipse non riesce a trovare android.support.v4.widget.SwipeRefreshLayout

? Katedral Pillon @ | Original: StackOverFlow
---

Anche dopo aver fatto clic su Aggiungi Support Library e scegliendo la versione 19, eclissi ancora non riesce a trovare android.support.v4.widget.SwipeRefreshLayout . Qualcuno sa come ottenere questo lavoro? Sto usando

<uses-sdk
android:minSdkVersion="11"
android:targetSdkVersion="19" />

Sto lavorando su un computer Mavericks mac con Juno .

update : Sezione import

import java.util.Observer;

import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.DialogFragment;
import android.util.Log;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ListView;
import android.widget.TextView;
import android.support.v4.widget.SwipeRefreshLayout;//red underline

Update

A proposito, non so se questo conta : questo è un AppEngine Connected progetto Android, che mi costruisco utilizzando Google - Eclipse - Plugin

Update 3:

Sta guardando come Android Support Library 19.1.0 non è disponibile tramite l'SDK Manager. In quale altro modo potrei ottenerlo ?

---

Top 5 Risposta

1tehnolog @

Ho avuto lo stesso problema con il vecchio progetto . Ma quando creo nuovo progetto, Eclipse può trovare questo importazione .

2user936580 @

Sembra come se non si ha l'androide - supporto - v4.jar in Java percorso di generazione . Aggiungere dal android -support - v7 - appcompat .

3Katedral Pillon @

Così si scopre la biblioteca si trova nella seguente posizione

/android-sdk-macosx/extras/android/m2repository/com/android/support/support-v4/19.1.0

Rispetto al solito

/android-sdk-macosx/extras/android/support

Inoltre ho dovuto riavviare eclipse e andare a Android SDK Manager più e più e più volte, fino alla versione 19.1.0 presenta .

Spero che questo consente di risparmiare un altro qualche problema .

4Lee HyunSoo @

L'aggiornamento SDK Gestore Android Support Library a 19.1.0 . Ma quando si utilizza Android Tools > Aggiungi libreria di supporto, aggiornamenti Eclipse libreria di supporto Android a 19,0 . Penso che questo sia un bug . Copia Android Support Library 19.1.0 di librerie cartella manualmente .

5birdy @

Si tratta di un problema con l'aggiornamento libreria di supporto da Eclipse : https://code.google.com/p/android/issues/detail?id=67991

Basta aggiornare avviando responsabile Android SDK manualmente e aggiungere nuovo lib v4 al progetto .